%define module_name Test-NaiveStubs
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moo.pm) perl(Package/Stash.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Sub/Identify.pm) perl(Test/EOL.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Test/Synopsis.pm) perl(namespace/clean.pm) perl(strict.pm) perl(strictures.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0702
Release: alt1
Summary: Generate test stubs for methods
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GE/GENE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Test::NaiveStubs' generates a test file of stubs for exercising all the
methods (not functions) of a given class.

Unfortunately the Class::Sniff manpage returns *imported* methods as well as the ones in
the class you have given.  So you will have to remove those lines from the
generated test file by hand.

For a more powerful alternative, check out the Test::StubGenerator manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README LICENSE Changes
%perl_vendor_privlib/T*

%changelog
* Thu Jan 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.0702-alt1
- regenerated from template by package builder

* Wed Jan 02 2019 Igor Vlasenko <viy@altlinux.ru> 0.0701-alt1
- regenerated from template by package builder

* Tue Jan 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.0202-alt1
- initial import by package builder

